Subject: Re: [PATCH v2] ci(win+Meson): build in Release mode

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 May 2025 08:54:23 -0700

Patrick Steinhardt <[email-masked]> writes:

>> I am afraid that getting rid of asserts in Git's codebase won't ever be
>> able to address the challenge that Git -- despite much reluctance --
>> relies on a couple of external dependencies that might at any point in
>> time cause `assert()` to be called, e.g. due to unexpected changes in the
>> CI runner images.
>
> Good point indeed, I haven't considered this.

Thanks both for a discussion.  Let's replace and queue this, and
fast track it down to 'maint'.

Here is a range-diff for my tentative rebasing the patch on 'maint';
I'll make sure merging it up to 'master' would match exactly the
result of applying the original patch directly to 'master' before
queuing.

Thanks!

1:  f3ae94b175 ! 1:  184abdcf05 ci(win+Meson): build in Release mode
    @@ Commit message
         patch is still needed.
     
         Signed-off-by: Johannes Schindelin <[email-masked]>
    +    Acked-by: Patrick Steinhardt <[email-masked]>
    +    [jc: rebased on 'maint' to enable fast-tracking the change down]
         Signed-off-by: Junio C Hamano <[email-masked]>
     
      ## .github/workflows/main.yml ##
    @@ .github/workflows/main.yml: jobs:
            run: pip install meson ninja
          - name: Setup
            shell: pwsh
    --      run: meson setup build --vsenv -Dperl=disabled -Dcredential_helpers=wincred
    -+      run: meson setup build --vsenv -Dbuildtype=release -Dperl=disabled -Dcredential_helpers=wincred
    +-      run: meson setup build -Dperl=disabled -Dcredential_helpers=wincred
    ++      run: meson setup build -Dbuildtype=release -Dperl=disabled -Dcredential_helpers=wincred
          - name: Compile
            shell: pwsh
            run: meson compile -C build